Skip to main content
GET
/
api
/
v1
/
refunds
cURL
curl --request GET \
  --url https://vpos.payven.com.tr/api/v1/refunds \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "merchantExternalId": "<string>",
        "merchantName": "<string>",
        "refundAmount": 123,
        "originalAmount": 123,
        "currency": "<string>",
        "status": "Pending",
        "reasonCode": "CustomerRequest",
        "reason": "<string>",
        "createdBy": "<string>",
        "created": "2023-11-07T05:31:56Z",
        "completedAt": "2023-11-07T05:31:56Z",
        "errorMessage": "<string>"
      }
    ],
    "pageNumber": 123,
    "totalPages": 123,
    "totalCount": 123,
    "hasPreviousPage": true,
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

Page
integer<int32>
PageSize
integer<int32>
StartDate
string<date-time>
EndDate
string<date-time>
Status
enum<integer>
Available options:
Pending,
Completed,
Failed
ReasonCode
enum<integer>
Available options:
CustomerRequest,
OutOfStock,
DuplicateCharge,
ProductDefect,
Fraud,
WrongAmount,
Other
RefundType
enum<integer>
Available options:
Full,
Partial
MerchantId
string<uuid>
ExternalMerchantId
string
MinAmount
integer<int64>
MaxAmount
integer<int64>
SlaBreached
boolean
SearchTerm
string

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object